Add development to 2.0 from 1.6